#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
import psychopy.visual
import psychopy.core
import psychopy.hardware.joystick

win = psychopy.visual.Window(units='height')
text = psychopy.visual.TextStim(win, height=0.03)

num_joys = psychopy.hardware.joystick.getNumJoysticks()
if num_joys==0: # ジョイスティックが0個(存在しない)なら終了
    text.setText('No joystick was found.')
    text.draw()
    win.flip()
    psychopy.core.wait(1.0)
    psychopy.core.exit()

joystick = psychopy.hardware.joystick.Joystick(0)

while True:
    buttons = joystick.getAllButtons()
    if not False in buttons[:2]:
        break
    
    text.setText('Axes:{}\n\nButtons:{}\n\nHats:{}'.format(
        joystick.getAllAxes(),
        buttons, joystick.getAllHats()))
    text.draw()
    win.flip()

win.close()