#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
import psychopy.visual
import psychopy.core
import serial

win = psychopy.visual.Window(units='height', fullscr=True)
stim = psychopy.visual.GratingStim(win, sf=20, mask='gauss')

com = serial.Serial(port=0, # ポート番号またはデバイス名
        baudrate=9600,      # ボーレートの設定
        parity = serial.PARITY_NONE, # パリティの設定
        timeout=None,       # 読み込みのタイムアウト
        writeTimeout=0)     # 書き出しのタイムアウト

command1 = chr(0x57)+chr(0x60)+chr(0x08)
command2 = chr(0x52)+chr(0x60)+chr(0xB0)

for frame in range(180):
    if frame==60 or frame==120:
        win.callOnFlip(com.write, command1)
    if 60<=frame<120:
        stim.draw()
    win.flip()

win.close()

com.write(command2)
psychopy.core.wait(1.0)
received_data = com.read(16)
com.close()