#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
import psychopy.gui
import codecs

param_dict = {
    'データファイル名':'data.csv',
    '繰り返し回数':10,
    '第1ブロック':['上昇系列','下降系列'],
    'フルスクリーンモード':True
 }
dlg = psychopy.gui.DlgFromDict(param_dict, title='パラメータ入力')
if dlg.OK == True:
    with codecs.open(param_dict['データファイル名'],'w','utf-8') as fp:
        fp.write('{第1ブロック},{フルスクリーンモード}\n'.format(**param_dict))
        for i in range(param_dict['繰り返し回数']):
            fp.write('Trial {}\n'.format(i+1))