#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
import psychopy.visual
import psychopy.iohub

io = psychopy.iohub.launchHubServer()
attrs = ['type','char','key','modifiers','time','duration']

win = psychopy.visual.Window(units='height', fullscr=False)
state = psychopy.visual.TextStim(win,text='', height=0.04)
wait_keys = True
io.clearEvents('all')

while wait_keys:
    events = io.devices.keyboard.getKeys()
    message = ''
    for event in events:
        for attr in attrs:
            if hasattr(event, attr):
                message += '{},{}\n'.format(attr,getattr(event,attr))
        if hasattr(event,'key') and event.key=='escape':
            wait_keys = False
    if message != '':
        state.setText(message)
    
    state.draw()
    win.flip()

io.quit() # 忘れずに実行すること