#coding:utf-8
from __future__ import division #Python3との互換性を高める
from __future__ import unicode_literals
import psychopy.visual
import psychopy.event
import psychopy.core

win = psychopy.visual.Window(
    monitor='defaultMonitor', units='cm', color='black')
clock = psychopy.core.Clock()

text1 = psychopy.visual.TextStim(
    win, pos=(2.0, -2.0), height=0.8, color='green')
text2 = psychopy.visual.TextStim(
    win, text='日本語も表示できます', pos=(0, 0), height=1.0)
box = psychopy.visual.Rect(
    win, width=4.0, height=4.0,
    lineColor='lightgrey', fillColor='dimgrey')

clock.reset() #時計を0.0秒にリセットする
while clock.getTime()<20: #20秒間経過するまで繰り返す
    keys = psychopy.event.getKeys()
    
    box.setOri(20*clock.getTime())
    text1.setText('{:.1f}'.format(clock.getTime()))
    
    text1.draw()
    box.draw()
    text2.draw()

    win.flip()