#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
import codecs
import random

conditions = []
for stim1_lum in [-0.3, 0.3]:
    for probe_lum_index in range(9):
        probe_lum = 0.05*(probe_lum_index-4)
        conditions.append([stim1_lum, probe_lum])
conditions *= 5
random.shuffle(conditions)

with codecs.open('conditions.csv', 'w', 'utf-8') as fp
    for condition in conditions:
        fp.write('{:.1f},{:.2f}\n'.format(*condition))