#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
import psychopy.visual
import psychopy.event

win = psychopy.visual.Window(
    monitor='defaultMonitor', units='height', fullscr=True)

button = psychopy.visual.Rect(win, width=0.1, height=0.1)
state = psychopy.visual.TextStim(
    win, pos=[0,-0.2], height=0.05)

mouse = psychopy.event.Mouse()

mouse.clickReset()
while True:
    if mouse.isPressedIn(button,buttons=[0]): # 中でボタン0が押された
        break
    elif button.contains(mouse): # 中にマウスカーソルがある
        button.setFillColor([-1,1,-1])
    else: # 中にマウスカーソルが無い
        button.setFillColor([-1,-1,-1])
    
    state.setText('Pos: {}\nButtons: {}'.format(
        mouse.getPos(), mouse.getPressed(getTime=True)))
    
    button.draw()
    state.draw()
    win.flip()