#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
import psychopy.visual
import codecs

win = psychopy.visual.Window(
    monitor='defaultMonitor', units='height', fullscr=True)
scale = psychopy.visual.RatingScale(
    win, low=1, high=5, markerStart=3, pos=[0,-0.1], size=1.2)

while scale.noResponse:
    # ここで刺激や教示などを描画する
    # getKeys()を使う場合はkeyList引数に注意
    scale.draw()
    win.flip()

with codecs.open('data.csv','w','utf-8') as fp:
    fp.write('選択:{}, 反応時間:{}, 履歴:{}\n'.format(
        scale.getRating(), scale.getRT(), scale.getHistory()))