#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
import psychopy.visual

win = psychopy.visual.Window(units='height')
movie = psychopy.visual.MovieStim3(win, 'movie.mp4')
text = psychopy.visual.TextStim(win, height=0.03)

info_str = 'Size:{}, Duration:{}, FPS:{:.3f}\n'.format(
    movie.size, movie.duration, movie.getFPS())

while movie.status != psychopy.visual.FINISHED:
    text.setText(info_str+'{:.3f}'.format(
        movie.getCurrentFrameTime()))
    
    keys = psychopy.event.getKeys()
    if 'space' in keys:
        if movie.status == psychopy.visual.PAUSED:
            movie.play()
        else:
            movie.pause()
    
    movie.draw()
    text.draw()
    win.flip()